<?php

namespace App\Models\Service;

use App\Models\Base\ServiceType;
use App\Traits\ServiceDomains;
use App\Models\DomainRegistrar;

/**
 * Class Domain (Service)
 * Services that are managed Domain Names
 */
class Domain extends ServiceType
{
	use ServiceDomains;

	protected $table = 'service_domain';
	protected $with = ['tld'];

	/* RELATIONS */

	public function registrar()
	{
		return $this->belongsTo(DomainRegistrar::class,'domain_registrar_id');
	}
}