@component('mail::message',['site'=>$site,'heading'=>'Cancel Service Request'])
Please cancel the following...

@component('mail::table')
| Service     | Details           |
| :---------- | :---------------- |
| Logged User | {{ Auth::user()->id }} |
| Account     | {{ $service->account_name }} |
| Service ID  | {{ $service->sid }} |
| Product     | {{ $service->product_name }} |
@switch($service->product_category)
@case('BROADBAND')
| Address     | {{ $service->type->service_address }} |
@break;
@case('PHONE')
| Number     | {{ $service->type->service_number }} |
| Supplier Details | {{ $service->order_info->join(':') }} |
@break;
@endswitch
@endcomponent

**NOTES:** {{ $notes }}

Thanks,<br>
{{ config('app.name') }}
@endcomponent